import request from '/@/utils/request';

// 获取账号列表
export const getAccounts = (params: any) => {
	return request({
		url: '/jnh/accounts/page',
		method: 'post',
		params,
	});
};

// 添加账号
export const addOrUpdate = (params: any) => {
	return request({
		url: '/jnh/accounts/addOrUpdate',
		method: 'post',
		params,
	});
};

// 删除账号
export const deleteAccount = (params: any) => {
	return request({
		url: '/jnh/accounts/remove',
		method: 'post',
		params,
	});
};

// 账号启用/禁用
export const updateStatus = (params: any) => {
	return request({
		url: '/jnh/accounts/status',
		method: 'post',
		params,
	});
};
